=== release 1.6.4 ===

2016-04-14  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  releasing 1.6.4

2016-03-19 12:55:09 +0100  Aurélien Zanelli <aurelien.zanelli@darkosphere.fr>

	* gst/gstutils.c:
	  utils: add 'transfer full' annotation to gst_pad_peer_query_caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=763912

2016-03-19 12:39:18 +0100  Aurélien Zanelli <aurelien.zanelli@darkosphere.fr>

	* gst/gstpad.c:
	  pad: add 'transfer full' and 'nullable' annotations to gst_pad_get_current_caps
	  and also change the description accordingly since function returns an
	  incremented caps object or NULL if there is no caps set.
	  https://bugzilla.gnome.org/show_bug.cgi?id=763912

2016-03-18 16:02:43 -0400  Ben Iofel <iofelben@gmail.com>

	* gst/gstutils.c:
	  utils: fix gir annotation for gst_element_query_convert()
	  https://bugzilla.gnome.org/show_bug.cgi?id=763895

2016-03-18 03:08:39 +1100  Jan Schmidt <jan@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Fix not-linked pad handling at EOS
	  Ensure that not-linked pads will drain out at EOS by
	  correctly detecting the EOS condition based on the EOS
	  pad flag (which indicates we actually pushed an EOS),
	  and make sure that not-linked pads are woken when doing
	  EOS processing on linked pads.
	  https://bugzilla.gnome.org/show_bug.cgi?id=763770

2016-01-20 09:57:00 +0000  Tim-Philipp Müller <tim@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: two small fixes for when an existing pad is requested
	  Unlock when returning NULL from gst_single_queue_new(), and don't
	  crash with debug logging enabled if NULL is returned.
	  Spotted by Steven Hoving.

2015-12-09 17:40:02 +0100  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Don't use random segment.position from upstream
	  segment.position is meant for internal usage only, but the various
	  GST_EVENT_SEGMENT creationg/parsing functions won't clear that field.
	  Use the appropriate segment boundary as an initial value instead

2016-03-15 16:37:33 +0100  Romain Picard <romain.picard@oakbits.com>

	* plugins/elements/gsttypefindelement.c:
	  typefind: Allow caps query in "have-type" signal handlers
	  If an application calls gst_pad_query_caps from its "have-type" signal handler,
	  then the query fails because typefind->caps has not been set yet.
	  This patch sets typefind->caps in the object method handler, before the signal
	  handlers are called.
	  https://bugzilla.gnome.org/show_bug.cgi?id=763491

2016-03-11 14:17:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gsttypefindelement.c:
	  typefind: Store caps on the pad before emitting have-type but send it downstream only in the default signal handler
	  https://bugzilla.gnome.org/show_bug.cgi?id=763491

2016-03-13 10:33:53 +0200  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Recheck after pre_push_frame() if there are tags pending
	  Many parsers are storing tags only in pre_push_frame(), if we wouldn't check
	  afterwards we would push buffers before those tags and a lot of code assumes that
	  tags are available before preroll.
	  https://bugzilla.gnome.org/show_bug.cgi?id=763553

2016-02-04 10:07:22 +0000  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: fix stray discont flag set on outgoing buffers in push mode
	  We have no guarantees about what flags are set on buffers we take
	  out of the GstAdapter. If we push out multiple buffers from the
	  first input buffer (which will have discont set), only the first
	  buffer we push out should be flagged as discont, not all of the
	  buffers produced from that first initial input buffer.
	  Fixes issue where the first few mp3 frames/seconds of data in push
	  mode were skipped or garbled in some cases, and the discont flags
	  would also trip up decoders which were getting drained/flushed for
	  every buffer. This was a regression introduced in 1.6 apparently.

2016-02-02 16:35:34 +0100  Thibault Saunier <tsaunier@gnome.org>

	* libs/gst/controller/gstdirectcontrolbinding.c:
	  controller: Do not unset uninitiallized GValue
	  In case the property was not interpollable we might never initialize
	  the GValue, we should thus never unset it.

=== release 1.6.3 ===

2016-01-20 14:34:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* win32/common/config.h:
	* win32/common/gstversion.h:
	  Release 1.6.3

2016-01-20 14:09:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2016-01-16 16:01:38 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstmessage.c:
	  message: add function guard to gst_message_set_buffering_stats()
	  https://bugzilla.gnome.org/show_bug.cgi?id=760704

2016-01-15 00:25:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstdevicemonitor.c:
	  GstDeviceMonitor: Don't remove unmatched class filters
	  If no providers for a particular class could be found, then removing unmatched
	  filters would cause all devices to be returned instead which is not at all what
	  the user intended. We still return 0 for unmatched filters.

2016-01-13 21:32:20 +0000  Florin Apostol <florin.apostol@oregan.net>

	* libs/gst/net/gstnetclientclock.c:
	  netclientclock: Fix GError memory leak in handling NTP response
	  Error was not released if gst_ntp_packet_receive failed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=760598

2015-09-26 18:16:07 +0800  Ting-Wei Lan <lantw@src.gnome.org>

	* gst/gstutils.h:
	  gstutils: Fix build with clang -Werror=cast-align
	  https://bugzilla.gnome.org/show_bug.cgi?id=755657

2016-01-06 19:50:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* plugins/elements/gstqueue2.c:
	  queue2: fix fill level arithmetic overflow with large values
	  Based on patch by: Aleksander Wabik <awabik@opera.com>
	  https://bugzilla.gnome.org/show_bug.cgi?id=755971

2015-12-29 14:32:47 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstcaps.c:
	  caps: Add (transfer full) annotation to simplify() and subtract() return value
	  https://bugzilla.gnome.org/show_bug.cgi?id=759948

2015-12-29 11:06:39 +0100  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* gst/gstcaps.c:
	  caps: add 'transfer full' annotation to caps returned by interserction functions
	  To make clear caller is responsible to unref them.
	  https://bugzilla.gnome.org/show_bug.cgi?id=759948

=== release 1.6.2 ===

2015-12-14 19:46:52 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* win32/common/config.h:
	* win32/common/gstversion.h:
	  Release 1.6.2

2015-12-14 19:04:36 +0100  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2015-12-14 18:59:00 +0100  Sebastian Dröge <sebastian@centricular.com>

	* po/hu.po:
	* po/sv.po:
	  po: Update translations

2015-12-12 01:06:43 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* plugins/elements/gstfdsrc.c:
	  fdsrc: enable large file support in Android
	  https://bugzilla.gnome.org/show_bug.cgi?id=758980

2015-12-11 22:14:32 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* plugins/elements/gstfdsink.c:
	  fdsink: enable large file support in Android
	  https://bugzilla.gnome.org/show_bug.cgi?id=758980

2015-12-11 20:42:05 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* plugins/elements/gstqueue2.c:
	  queue2: enable large file support on Android
	  https://bugzilla.gnome.org/show_bug.cgi?id=758980

2015-12-11 18:59:32 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* plugins/elements/gstdownloadbuffer.c:
	  downloadbuffer: enable large file support on Android
	  https://bugzilla.gnome.org/show_bug.cgi?id=758980

2015-12-11 14:07:27 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* plugins/elements/gstsparsefile.c:
	  sparsefile: enable large file support on Android
	  https://bugzilla.gnome.org/show_bug.cgi?id=758980

2015-12-03 15:04:32 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* plugins/elements/gstfilesink.c:
	  filesink: enable large file support on Android
	  https://bugzilla.gnome.org/show_bug.cgi?id=758980

2015-12-07 20:27:45 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* plugins/elements/gstfilesrc.c:
	  filesrc: enable large file support in Android
	  https://bugzilla.gnome.org/show_bug.cgi?id=758980

2015-12-04 14:39:29 +0000  Ross Burton <ross.burton@intel.com>

	* libs/gst/helpers/Makefile.am:
	  helpers: really fix install race
	  My previous fix for #758029 wasn't quite right and simply made the race rarer.
	  Some of the files are installed by install-exec and others by install-exec, so
	  the hooks need to be split too.
	  https://bugzilla.gnome.org/show_bug.cgi?id=758029

2015-12-04 10:22:56 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* tools/gst-launch.c:
	  gst-launch: Fix process return value on error
	  In case of a run-time error message, the process return value was left
	  unset. This would lead to error not being caught at shell level.
	  https://bugzilla.gnome.org/show_bug.cgi?id=759019

2015-11-30 23:08:50 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gst/gstcontrolsource.c:
	  controlsource: Annotate get_value[_array] as (method)
	  As the names clash with gst_object_get_value[_array]
	  https://bugzilla.gnome.org/show_bug.cgi?id=756950

2015-11-19 00:51:44 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* libs/gst/base/gstbaseparse.c:
	  Revert "baseparse: do not overwrite header buffer timestamps"
	  This reverts commit 2c475a035543efc0202ecdc52070295a421ed4b4.
	  This causes issues with h264parse. It breaks timestamps as
	  there are headers in the middle of the stream and this patch
	  makes the timestamps for those differ from the ones that
	  are adjusted, creating a discontinuity and leading to sync
	  issues.

2015-11-19 00:51:30 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* libs/gst/base/gstbaseparse.c:
	  Revert "baseparse: simplify code a bit"
	  This reverts commit 921816400bf3ad65f8978a50569a7d87ef05c806.

2015-11-18 11:46:45 +0000  Tim-Philipp Müller <tim@centricular.com>

	* plugins/elements/gstqueue2.c:
	  queue2: don't print criticals when receiving custom events in ring buffer mode
	  Downgrade from g_warning to GST_WARNING log message.
	  https://bugzilla.gnome.org/show_bug.cgi?id=758276

2015-11-18 09:21:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/helpers/gst-ptp-helper.c:
	  ptp-helper: Disable multicast loopback
	  We're not really interested in our own packets and ignore them anyway.

2015-11-16 08:22:14 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: simplify code a bit
	  Avoid repeated checks for testing if a buffer is a header

2015-11-13 20:44:57 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* libs/gst/base/gstcollectpads.c:
	  collectpads: handle buffer with dts-only when mapping to running time
	  Otherwise the buffer was left with the original values and later would
	  be compared with other buffers that were converted to runninn time,
	  leading to bad interleaving of multiple streams.
	  https://bugzilla.gnome.org/show_bug.cgi?id=757961

2015-11-13 16:31:06 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: do not overwrite header buffer timestamps
	  baseparse tries to preserve timestamps from upstream if
	  it is running on a time segment and write that to
	  output buffers. It assumes the first DTS is going to be
	  segment.start and sets that to the first buffers. In case
	  the buffer is a header buffer, it had no timestamps and
	  will have only the DTS set due to this mechanism.
	  This patch prevents this by skipping this behavior for
	  header buffers.
	  https://bugzilla.gnome.org/show_bug.cgi?id=757961

2015-11-12 19:46:44 +0000  Ross Burton <ross.burton@intel.com>

	* libs/gst/helpers/Makefile.am:
	  helpers: fix install race
	  The install hook needs to be a install-data-hook not an install-exec-hook as the
	  helpers are installed into helperdir which is considered data (only path
	  variables with "exec" in are considered executables).
	  The explicit dependency on install-helpersPROGRAMS was an attempt at solving
	  this, but this causes occasional races where install-helpersPROGRAMS can run
	  twice in parallel (once via install-all, once via the hook's dependency).
	  https://bugzilla.gnome.org/show_bug.cgi?id=758029

2015-11-01 00:04:27 +1100  Jan Schmidt <jan@centricular.com>

	* gst/gstpad.c:
	  pad: Mark sticky events as sent on not-linked
	  Instead of re-sending sticky events over and over to a not-linked
	  pad, mark them as sent the first time. If the not-linked came from
	  downstream, it already received the events. If the pad is actually
	  not-linked, the sticky events will be rescheduled when the
	  pad is linked anyway.

2015-10-29 18:53:29 +1100  Jan Schmidt <jan@centricular.com>

	* gst/gstghostpad.c:
	  ghostpad: Allow deactivation with no peer.
	  Allow deactivation in pull-mode, since that implies we
	  had a peer, activated in pull mode, then the peer disa-peer-ed ;)

=== release 1.6.1 ===

2015-10-30 16:38:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* win32/common/config.h:
	* win32/common/gstversion.h:
	  Release 1.6.1

2015-10-30 16:18:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/da.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/zh_TW.po:
	  Update .po files

2015-10-30 14:09:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/cs.po:
	* po/de.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  po: Update translations

2015-10-28 18:04:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpad.c:
	  pad: Unblock blocking pad probes when receiving FLUSH_START in send_event() too
	  Without this, flushing might not unblock the streaming thread and cause deadlocks.
	  https://bugzilla.gnome.org/show_bug.cgi?id=757257

2015-10-24 16:43:59 +0100  Florin Apostol <florin.apostol@oregan.net>

	* tests/check/gst/gsturi.c:
	  uri: tests: added unit test for streams ending in .. without following /
	  https://bugzilla.gnome.org/show_bug.cgi?id=757065

2015-10-19 16:50:51 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/gstsegment.c:
	* tests/check/gst/gstsegment.c:
	  segment: Correct stream_time calc for negative applied rate
	  Updated gst_segment_position_from_stream_time and gst_segment_to_stream_time to reflect correct calculations for the case when the applied rate is negative.
	  Pasting from design docs:
	  ===============================
	  Stream time is calculated using the buffer times and the preceding SEGMENT
	  event as follows:
	  stream_time = (B.timestamp - S.start) * ABS (S.applied_rate) + S.time
	  For negative rates, B.timestamp will go backwards from S.stop to S.start,
	  making the stream time go backwards.
	  ===============================
	  Therefore, the calculation for applied_rate < 0 should be:
	  stream_time = (S.stop - B.timestamp) * ABS (S.applied_rate) + S.time
	  and the reverse:
	  B.timestamp = S.stop - (stream_time - S.time) / ABS (S.applied_rate)
	  https://bugzilla.gnome.org/show_bug.cgi?id=756810

2015-09-25 15:57:16 +0300  Vivia Nikolaidou <vivia@toolsonair.com>

	* gst/gstsegment.c:
	  segment: gst_segment_to_stream_time: Renamed 'result' to 'stream_time'
	  Renamed the "result" variable to "stream_time" for better readability.

2015-10-24 16:52:44 +0100  Florin Apostol <florin.apostol@oregan.net>

	* gst/gsturi.c:
	  uri: fix behaviour for merging uris ending in .. without following /
	  https://bugzilla.gnome.org/show_bug.cgi?id=757065

2015-10-21 14:49:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpad.c:
	  pad: Fix docs/annotation of gst_pad_probe_info_get_buffer_list()
	  It's not get_bufferlist(). Because of that it was ignored by the docs and
	  G-I, leading to crashes because of broken ownership transfer.
	  https://bugzilla.gnome.org/show_bug.cgi?id=756898

2015-10-17 22:13:08 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbin.c:
	  bin: Make sure to free all cached messages when going to NULL
	  An ASYNC READY->PAUSED might have failed without the bin code noticing during
	  the state change, in which case we will never get PAUSED->READY and would leak
	  messages.
	  https://bugzilla.gnome.org/show_bug.cgi?id=756611

2015-10-15 16:32:42 +0200  Edward Hervey <edward@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Improve incoming SEGMENT handling
	  Previously this code was just blindly setting the cached flow return
	  of downstream to GST_FLOW_OK when we get a SEGMENT.
	  The problem is that this can not be done blindly. If downstream was
	  not linked, the corresponding sinqlequeue source pad thread might be
	  waiting for the next ID to be woken up upon.
	  By blindly setting the cached return value to GST_FLOW_OK, and if that
	  stream was the only one that was NOT_LINKED, then the next time we
	  check (from any other thread) to see if we need to wake up a source pad
	  thread ... we won't even try, because none of the cached flow return
	  are equal to GST_FLOW_NOT_LINKED.
	  This would result in that thread never being woken up
	  https://bugzilla.gnome.org/show_bug.cgi?id=756645

2015-10-12 17:29:26 +0200  Edward Hervey <edward@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Update internal position even if not linked
	  Our current position has nothing to do with being linked or not.
	  Avoids having stray segment updates fired every 2s

2015-10-05 21:29:49 +0200  Stefan Sauer <ensonic@users.sf.net>

	* tests/check/gst/gsttag.c:
	  tests: fix the tag test
	  The previous change (see bgo #756069) was causing us to free the same pointer
	  multiple times. If we actually get a sample back, the test fails, no need to
	  free anything in that case.

2015-10-05 11:12:47 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* tests/check/gst/gsttag.c:
	* tools/gst-launch.c:
	  tests/gst-launch: Fix sample memory leak
	  When sample is got using gst_tag_list_get_sample_index, it should
	  be free'd.
	  https://bugzilla.gnome.org/show_bug.cgi?id=756069

2015-10-07 11:25:52 +0100  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/helpers/gst-ptp-helper.c:
	  gst-ptp-helper: #include <sys/socket.h> to fix net/if.h include on OSX 10.6
	  In file included from gst-ptp-helper.c:40:0:
	  /usr/include/net/if.h:265:19: error: field 'ifru_addr' has incomplete type
	  struct sockaddr ifru_addr;
	  https://bugzilla.gnome.org/show_bug.cgi?id=756136

2015-09-28 16:01:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* libs/gst/check/gstcheck.c:
	  check: fix 'format string is not a string literal' warning with clang
	  Broke this when I removed the G_GNUC_PRINTF in a previous
	  commit to fix indentation, since it was not really needed.
	  Turns out unlike gcc clang warns though if a non-literal
	  format string is passed then. Fix indentation differently.
	  http://clang.llvm.org/docs/AttributeReference.html#format-gnu-format

=== release 1.6.0 ===

2015-09-25 23:14:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* win32/common/config.h:
	* win32/common/gstversion.h:
	  Release 1.6.0

2015-09-25 22:41:16 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2015-09-25 10:18:07 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* libs/gst/net/gstptpclock.c:
	  ptpclock: Fix error leak during failures
	  https://bugzilla.gnome.org/show_bug.cgi?id=755607

2015-09-21 13:58:51 +0200  Stian Selnes <stian@pexip.com>

	* plugins/elements/gstfunnel.c:
	* tests/check/elements/funnel.c:
	  funnel: Fix racy state change
	  Iterator may need to be resynced, for instance if pads are released
	  during state change.
	  got_eos should be protected by the object lock of the element, not of
	  the pad, as is the case throughout the rest of the funnel code.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755343

2015-09-21 15:22:19 +0200  Stian Selnes <stian@pexip.com>

	* gst/gstbin.c:
	* gst/gstelement.c:
	  bin: element: Ignore activate result for removed pads on state change
	  This fixes a race where a state change may return failure if it has
	  request pads that are deactivated and removed (and thus have no
	  parent) at the same time as the element changes state and (de)activates
	  its pads.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755342

2015-09-24 10:23:14 +0200  Havard Graff <havard.graff@gmail.com>

	* libs/gst/check/gstharness.c:
	* tests/check/libs/gstharness.c:
	  harness: don't crash when adding a sink-harness without h->sinkpad
	  https://bugzilla.gnome.org/show_bug.cgi?id=755511

2015-09-23 20:31:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Print buffer PTS when submitting an input buffer

2015-09-21 14:58:46 +0900  Eunhae Choi <eunhae1.choi@samsung.com>

	* plugins/elements/gstinputselector.c:
	  inputselector: Fix buffer leak in sync_streams & cache_buffers mode
	  After doing gst_pad_push() in case of sync_streams and cache_buffers,
	  if the buffer can not be kept in cache, it should be unreffed to avoid
	  memory leackage.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755141

2015-09-19 16:57:26 +0530  Vikram Fugro <vikram.fugro@gmail.com>

	* gst/gstcaps.c:
	* gst/gstpad.h:
	  gst: Documentation typo fix in caps & pad APIs
	  gst_caps_can_intersect() & GST_PAD_IS_ACCEPT_INTERSECT()
	  documentation typo fix.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755257

=== release 1.5.91 ===

2015-09-18 19:07:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* win32/common/config.h:
	* win32/common/gstversion.h:
	  Release 1.5.91

2015-09-18 19:07:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  Update .po files

2015-09-18 11:49:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/zh_CN.po:
	  po: Update translations

2015-09-15 10:56:40 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* libs/gst/check/gstcheck.c:
	* plugins/elements/gstdownloadbuffer.c:
	* tests/benchmarks/gstbufferstress.c:
	* tests/benchmarks/gstclockstress.c:
	* tests/benchmarks/gstpollstress.c:
	  downloadbuffer, benchmarks: fix error leaks in failure code paths
	  https://bugzilla.gnome.org/show_bug.cgi?id=755019

2015-09-15 10:52:55 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* libs/gst/check/gstcheck.c:
	  check: Fix indentation
	  https://bugzilla.gnome.org/show_bug.cgi?id=755019

2015-09-15 18:05:11 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/gstbufferpool.c:
	  bufferpool: sprinkle some allow-none and out annotations for g-i

2015-09-14 11:01:11 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* gst/gstbin.c:
	  bin: fix typo in log message when threadpool alloc fails
	  https://bugzilla.gnome.org/show_bug.cgi?id=754975

2015-09-11 17:58:48 +0300  Igor Rondarev <igor.rondarev@gmail.com>

	* configure.ac:
	* gst/Makefile.am:
	  configure: Check for socketpair() in -lsocket too
	  On e.g. QNX it is in an external library, not libc.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754875

2015-09-09 13:10:04 +0530  Arun Raghavan <git@arunraghavan.net>

	* docs/gst/gstreamer-sections.txt:
	  Revert "docs: Make sure gst_debug_bin_to_dot_data() is documented"
	  This reverts commit 0dffeb03018d12be522c2d97aaaf8102153bd7c0.
	  The commit is erroneous and documents the function twice.

2015-07-23 12:18:51 +0530  Arun Raghavan <git@arunraghavan.net>

	* docs/gst/gstreamer-sections.txt:
	  docs: Make sure gst_debug_bin_to_dot_data() is documented
	  Thanks to Nirbheek Chauhan <nirbheek@centricular.com> for pointing this
	  out.

2015-08-05 10:07:50 +0200  Stian Selnes <stian@pexip.com>

	* libs/gst/check/gstharness.c:
	* tests/check/libs/gstharness.c:
	  harness: Fix race for gst_harness_element_ref
	  In order for gst_harness_new_full to be MT-safe the increase and
	  decrease of HARNESS_REF must be MT-safe. This allows for creating
	  multiple harnesses from different threads wrapping the same element.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754661

2015-08-05 09:59:39 +0200  Stian Selnes <stian@pexip.com>

	* libs/gst/check/gstharness.c:
	  harness: Allow-none for custom stress init func
	  It should be allowed to not have a function to initialize the user data
	  since it's often not necessary; it may already be initialized.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754661

2015-09-06 09:58:09 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gstreamer-plugins.signals:
	  docs: remove signal that no longer exists from docs

2015-09-05 11:20:49 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  po: update for translated string changes

2015-09-05 11:18:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tools/gst-launch.c:
	  tools: gst-launch: fix --exclude command line option
	  This has not worked (as in: crashed) since 2005, so
	  perhaps it should just be removed instead.

2015-08-31 12:07:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* plugins/elements/gstqueue2.c:
	  Revert "queue2: Process SEEKING query"
	  This caused problems with oggdemux when queue2 was
	  operating in queue mode and the souphttpsrc upstream
	  is not seekable because the server doesn't support
	  range requests. It would then still claim seekability
	  and then things go wrong from there.
	  This reverts commit 7b0b93dafe4ac547552cdb66ade5d8aa0405e7b4.
	  https://bugzilla.gnome.org/show_bug.cgi?id=753887

2015-08-29 20:14:44 +0200  Havard Graff <havard.graff@gmail.com>

	* libs/gst/check/gstharness.c:
	  harness: misc bugfixes
	  1. Get a list of pad templates from the element class, not the
	  factory. This allows us to interact with test-elements that does
	  not have a factory.
	  2. Use the pad_template_caps in caps-queries when caps is not set
	  explicitly on the pad. Not doing so is simply wrong, and prohibits
	  interactions with special templates used for testing.
	  https://bugzilla.gnome.org/show_bug.cgi?id=754193

2015-08-26 09:29:05 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* tests/check/gst/gstevent.c:
	  tests: event: fix build failure
	  gst/gstevent.c:250:5: error: ‘for’ loop initial declarations are only
	  allowed in C99 or C11 mode

2015-08-24 21:04:37 +0300  Vivia Nikolaidou <vivia@toolsonair.com>

	* gst/gstbin.c:
	* tests/check/gst/gstbin.c:
	  bin: Make sure we don't add/remove a bin to/from itself
	  Doing so would deadlock from trying to acquire the object lock twice
	  https://bugzilla.gnome.org/show_bug.cgi?id=754036

2015-08-21 14:28:48 -0700  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Reconfigure before propose_allocation
	  There exist cases where a reconfigure event was propagated from
	  downstream, but caps didn't change. In this case, we would
	  reconfigure only when the next buffer arrives. The problem is that
	  due to the allocation query being cached, the return query parameters
	  endup outdated.
	  In this patch we refactor the reconfigurating code into a function, and
	  along with reconfiguring when a new buffer comes in, we also reconfigure
	  when a query allocation arrives.
	  https://bugzilla.gnome.org/show_bug.cgi?id=753850

2015-08-07 15:39:59 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* tests/check/libs/basesrc.c:
	  basesrc-test: Fix race testing segment update
	  As this test is using a short sleep (GST_USECOND, which is 10ms
	  in microsecond), sometimes that EOS event is received before the
	  loop in basesrc have run _do_seek() and pushed the update segment.
	  To solve this issue, we wait for the initial segment (and flush it)
	  then we wait for the second segment before sending EOS.
	  https://bugzilla.gnome.org/show_bug.cgi?id=753365

2015-08-19 11:46:07 +0200  Thibault Saunier <tsaunier@gnome.org>

	* scripts/gst-uninstalled:
	  bin: Add NLE to GST_PLUGIN_PATH

=== release 1.5.90 ===

2015-08-19 12:50:56 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gstreamer-plugins.args:
	* docs/plugins/inspect/plugin-coreelements.xml:
	* gstreamer.doap:
	* win32/common/config.h:
	* win32/common/gstenumtypes.c:
	* win32/common/gstversion.h:
	  Release 1.5.90

2015-08-19 12:33:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
